<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="employe">
      <h2 data-cy="employeDetailsHeading"><span jhiTranslate="gestionPersonnel3App.employe.detail.title">Employe</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ employe.id }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.matricule">Matricule</span></dt>
        <dd>
          <span>{{ employe.matricule }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.nom">Nom</span></dt>
        <dd>
          <span>{{ employe.nom }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.prenom">Prenom</span></dt>
        <dd>
          <span>{{ employe.prenom }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.sexe">Sexe</span></dt>
        <dd>
          <span jhiTranslate="{{ 'gestionPersonnel3App.Sexe.' + employe.sexe }}">{{ employe.sexe }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.dateNaissance">Date Naissance</span></dt>
        <dd>
          <span>{{ employe.dateNaissance | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.dateIntegration">Date Integration</span></dt>
        <dd>
          <span>{{ employe.dateIntegration | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.situationMatrimoniale">Situation Matrimoniale</span></dt>
        <dd>
          <span jhiTranslate="{{ 'gestionPersonnel3App.SituationMatrimoniale.' + employe.situationMatrimoniale }}">{{
            employe.situationMatrimoniale
          }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.statutAgentPublic">Statut Agent Public</span></dt>
        <dd>
          <span jhiTranslate="{{ 'gestionPersonnel3App.StatutAgentPublic.' + employe.statutAgentPublic }}">{{
            employe.statutAgentPublic
          }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.indice">Indice</span></dt>
        <dd>
          <span>{{ employe.indice }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.soldeIndiciaire">Solde Indiciaire</span></dt>
        <dd>
          <span>{{ employe.soldeIndiciaire }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.salaireBase">Salaire Base</span></dt>
        <dd>
          <span>{{ employe.salaireBase }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.nombreCharge">Nombre Charge</span></dt>
        <dd>
          <span>{{ employe.nombreCharge }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.priseServicePosteActuel">Prise Service Poste Actuel</span></dt>
        <dd>
          <span>{{ employe.priseServicePosteActuel | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.telephone">Telephone</span></dt>
        <dd>
          <span>{{ employe.telephone }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.email">Email</span></dt>
        <dd>
          <span>{{ employe.email }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.dateProbableRetraite">Date Probable Retraite</span></dt>
        <dd>
          <span>{{ employe.dateProbableRetraite | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.dateAnniversaire">Date Anniversaire</span></dt>
        <dd>
          <span>{{ employe.dateAnniversaire | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.observation">Observation</span></dt>
        <dd>
          <span>{{ employe.observation }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.dateRecrutement">Date Recrutement</span></dt>
        <dd>
          <span>{{ employe.dateRecrutement | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.allocation">Allocation</span></dt>
        <dd>
          <span>{{ employe.allocation }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.natureRecrutement">Nature Recrutement</span></dt>
        <dd>
          <div *ngIf="employe.natureRecrutement">
            <a [routerLink]="['/nature-recrutement', employe.natureRecrutement.id, 'view']">{{ employe.natureRecrutement.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.employe.statut">Statut</span></dt>
        <dd>
          <div *ngIf="employe.statut">
            <a [routerLink]="['/statut', employe.statut.id, 'view']">{{ employe.statut.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/employe', employe.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
